summary refs log tree commit diff
path: root/rc.d
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2019-11-02 05:19:02 -0400
committerJune McEnroe <june@causal.agency>2019-11-02 05:19:02 -0400
commitf5eb3c5b008c044a253c0be753e9573e215d1f6c (patch)
tree2e7a4a033ce70f1c6d5c6b2acfcd78bb4380faf6 /rc.d
parentApply capsicum to calico (diff)
downloadpounce-f5eb3c5b008c044a253c0be753e9573e215d1f6c.tar.gz
pounce-f5eb3c5b008c044a253c0be753e9573e215d1f6c.zip
Add calico rc script
Diffstat (limited to 'rc.d')
-rw-r--r--rc.d/calico27
-rw-r--r--rc.d/pounce60
2 files changed, 87 insertions, 0 deletions
diff --git a/rc.d/calico b/rc.d/calico
new file mode 100644
index 0000000..583b65b
--- /dev/null
+++ b/rc.d/calico
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# PROVIDE: calico
+# REQUIRE: LOGIN
+# KEYWORD: shutdown
+
+. /etc/rc.subr
+
+name='calico'
+rcvar='calico_enable'
+
+load_rc_config "${name}"
+
+: ${calico_enable:="NO"}
+
+command='/usr/sbin/daemon'
+child_command='/usr/local/bin/calico'
+pidfile="/var/run/${name}.pid"
+
+child_flags=$calico_flags
+child_user=$calico_user
+unset calico_flags calico_user
+command_args="\
+	-p ${pidfile} -T ${name} ${child_user:+-u ${child_user}} \
+	-- ${child_command} ${child_flags}"
+
+run_rc_command "$1"
diff --git a/rc.d/pounce b/rc.d/pounce
new file mode 100644
index 0000000..599c585
--- /dev/null
+++ b/rc.d/pounce
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# PROVIDE: pounce
+# REQUIRE: LOGIN
+# KEYWORD: shutdown
+
+. /etc/rc.subr
+
+name='pounce'
+rcvar='pounce_enable'
+extra_commands='reload'
+sig_reload='USR1'
+
+load_rc_config "${name}"
+
+: ${pounce_enable:="NO"}
+
+command='/usr/sbin/daemon'
+pidprefix="/var/run/${name}"
+pidfile="${pidprefix}.pid"
+
+child_command='/usr/local/bin/pounce'
+child_pidfile="${pidprefix}.child.pid"
+
+if [ -n "$2" ]; then
+	profile=$2
+	if [ -n "${pounce_profiles}" ]; then
+		pidfile="${pidprefix}.${profile}.pid"
+		child_pidfile="${pidprefix}.${profile}.child.pid"
+		eval pounce_enable="\${pounce_${profile}_enable:-${pounce_enable}}"
+		eval pounce_flags="\${pounce_${profile}_flags:-${pounce_flags}}"
+		eval pounce_user="\${pounce_${profile}_user:-${pounce_user}}"
+	else
+		echo "$0: extra argument ignored"
+	fi
+else
+	if [ -n "${pounce_profiles}" -a -n "$1" ]; then
+		for profile in ${pounce_profiles}; do
+			echo "===> ${name} profile: ${profile}"
+			/usr/local/etc/rc.d/${name} "$1" "${profile}" || exit "$?"
+		done
+		exit
+	fi
+fi
+
+child_flags=$pounce_flags
+child_user=$pounce_user
+unset pounce_flags pounce_user
+command_args="\
+	-r -P ${pidfile} -p ${child_pidfile} -T ${name}${profile:+/${profile}} \
+	${child_user:+-u ${child_user}} \
+	-- ${child_command} ${child_flags}"
+
+pounce_reload() {
+	rc_pid=$(check_pidfile "$child_pidfile" "$child_command")
+	kill "-$sig_reload" "$rc_pid"
+}
+reload_cmd='pounce_reload'
+
+run_rc_command "$1"